gnutls_x509_crq_get_attribute_by_oid(3)

NAME
gnutls_x509_crq_get_attribute_by_oid - This function will get an attribute of the request

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_attribute_by_oid(gnutls_x509_crq_t crq, const char * oid, int indx, void * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

const char * oid
    holds an Object Identified in null terminated string

int indx
    In case multiple same OIDs exist in the attribute list, this specifies which to send. Use zero to get the first one.

void * buf
    a pointer to a structure to hold the attribute data (may be null)

size_t * sizeof_buf
    initially holds the size of buf

DESCRIPTION
This function will return the attribute in the certificate request specified by the given Object ID. The attribute will be DER encoded.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.